Name:           cockpit-image-builder
Version:        v55
Release:        1.20250131150306388296.pr2774.4.g88f10986%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-56.tar.gz

# Drop obsoletes until functional enough compared to cockpit-composer
# Obsoletes:      cockpit-composer < 54
# Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 103

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Fri Jan 31 2025 Packit <hello@packit.dev> - v55-1.20250131150306388296.pr2774.4.g88f10986
- store/cockpitApi: use `baseQuery` for requests (Gianluca Zuccarelli)
- test/mocks/cockpit: make file replace a promise (Gianluca Zuccarelli)
- store/cockpit/baseQuery: add cockpit baseQuery (Gianluca Zuccarelli)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
